Package ru.bitel.bgbilling.modules.drweb.common.bean

# Class AgentAVD

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.drweb.common.bean.AgentAVD

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class AgentAVD extends IdContractId

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `NEXT_STATUS_NORMAL`
  `static final int`
  `NEXT_STATUS_TO_ACTIVE`
  `static final int`
  `NEXT_STATUS_TO_BLOCK`
  `static final int`
  `NEXT_STATUS_TO_CHANDE_TARIFF`
  `static final int`
  `NEXT_STATUS_TO_DELETE`
  `static final String`
  `PARAM_NEXT_TARIFF`
  `static final int`
  `STATUS_BLOCKED`
  `static final int`
  `STATUS_DELETE`
  `static final int`
  `STATUS_ERROR`
  `static final int`
  `STATUS_NOT_COMPLETE_ERROR`
  `static final int`
  `STATUS_NOT_PROLONGER`
  `static final int`
  `STATUS_OK`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AgentAVD()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAgentUUID()`
  `Date`
  `getBlockBegin()`
  `String`
  `getBlockBeginString()`
  `Date`
  `getBlockEnd()`
  `String`
  `getBlockEndString()`
  `Date`
  `getExpires()`
  `String`
  `getExpiresString()`
  `String`
  `getName()`
  `int`
  `getNextStatus()`
  `String`
  `getNextStatusString()`
  `int`
  `getNextTariffId()`
  `String`
  `getNextTariffTitle()`
  `int`
  `getStatus()`
  `String`
  `getStatusString()`
  `int`
  `getTariffId()`
  `String`
  `getTariffTitle()`
  `boolean`
  `isGraceperiod()`
  `boolean`
  `isLock()`
  `boolean`
  `isNewAgent()`
  `void`
  `setAgentUUID(String agentUUID)`
  `void`
  `setBlockBegin(Date blockBegin)`
  `void`
  `setBlockEnd(Date blockEnd)`
  `AgentAVD`
  `setContractId(int contractId)`
  `void`
  `setExpires(Date expires)`
  `void`
  `setGraceperiod(boolean graceperiod)`
  `void`
  `setLock(boolean lock)`
  `void`
  `setName(String name)`
  `void`
  `setNewAgent(boolean newAgent)`
  `void`
  `setNextStatus(int nextStatus)`
  `void`
  `setNextTariffId(int nextTariffId)`
  `void`
  `setNextTariffTitle(String nextTariffTitle)`
  `void`
  `setStatus(int status)`
  `void`
  `setTariffId(int taiffId)`
  `void`
  `setTariffTitle(String tariffTitle)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_OK

    public static final int STATUS_OK
    See Also:
      - Constant Field Values

  - ### STATUS_NOT_PROLONGER

    public static final int STATUS_NOT_PROLONGER
    See Also:
      - Constant Field Values

  - ### STATUS_DELETE

    public static final int STATUS_DELETE
    See Also:
      - Constant Field Values

  - ### STATUS_BLOCKED

    public static final int STATUS_BLOCKED
    See Also:
      - Constant Field Values

  - ### STATUS_ERROR

    public static final int STATUS_ERROR
    See Also:
      - Constant Field Values

  - ### STATUS_NOT_COMPLETE_ERROR

    public static final int STATUS_NOT_COMPLETE_ERROR
    See Also:
      - Constant Field Values

  - ### NEXT_STATUS_NORMAL

    public static final int NEXT_STATUS_NORMAL
    See Also:
      - Constant Field Values

  - ### NEXT_STATUS_TO_BLOCK

    public static final int NEXT_STATUS_TO_BLOCK
    See Also:
      - Constant Field Values

  - ### NEXT_STATUS_TO_DELETE

    public static final int NEXT_STATUS_TO_DELETE
    See Also:
      - Constant Field Values

  - ### NEXT_STATUS_TO_CHANDE_TARIFF

    public static final int NEXT_STATUS_TO_CHANDE_TARIFF
    See Also:
      - Constant Field Values

  - ### NEXT_STATUS_TO_ACTIVE

    public static final int NEXT_STATUS_TO_ACTIVE
    See Also:
      - Constant Field Values

  - ### PARAM_NEXT_TARIFF

    public static final String PARAM_NEXT_TARIFF
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AgentAVD

    public AgentAVD()

- ## Method Details

  - ### getAgentUUID

    public String getAgentUUID()

  - ### setAgentUUID

    public void setAgentUUID(String agentUUID)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### setContractId

    public AgentAVD setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getExpires

    public Date getExpires()

  - ### setExpires

    public void setExpires(Date expires)

  - ### getExpiresString

    public String getExpiresString()

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getBlockBegin

    public Date getBlockBegin()

  - ### setBlockBegin

    public void setBlockBegin(Date blockBegin)

  - ### getBlockEnd

    public Date getBlockEnd()

  - ### setBlockEnd

    public void setBlockEnd(Date blockEnd)

  - ### getBlockBeginString

    public String getBlockBeginString()

  - ### getBlockEndString

    public String getBlockEndString()

  - ### getTariffTitle

    public String getTariffTitle()

  - ### setTariffTitle

    public void setTariffTitle(String tariffTitle)

  - ### getNextStatus

    public int getNextStatus()

  - ### setNextStatus

    public void setNextStatus(int nextStatus)

  - ### isLock

    public boolean isLock()

  - ### setLock

    public void setLock(boolean lock)

  - ### getStatusString

    public String getStatusString()

  - ### getNextStatusString

    public String getNextStatusString()

  - ### getNextTariffTitle

    public String getNextTariffTitle()

  - ### setNextTariffTitle

    public void setNextTariffTitle(String nextTariffTitle)

  - ### isGraceperiod

    public boolean isGraceperiod()

  - ### setGraceperiod

    public void setGraceperiod(boolean graceperiod)

  - ### getTariffId

    public int getTariffId()

  - ### setTariffId

    public void setTariffId(int taiffId)

  - ### getNextTariffId

    public int getNextTariffId()

  - ### setNextTariffId

    public void setNextTariffId(int nextTariffId)

  - ### isNewAgent

    public boolean isNewAgent()

  - ### setNewAgent

    public void setNewAgent(boolean newAgent)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`